DataBolsa docs
Referência da APIDados de mercadoFluxo de mercado

Participação mensal por perfil × segmento de mercado

Fechamento mensal por perfil de investidor e segmento (à vista, termo, opções, exercício, blocos, total geral), em R$ e %.

GET
/v1/market/investor-flow/monthly
AuthorizationBearer <token>

In: header

Query Parameters

cursor?string
limit?integer
Default100
Range1 <= value <= 1000
month?string

1º dia do mês de referência, ex. 2026-05-01

Match^\d{4}-\d{2}-\d{2}$
investor_type?string
segment?string

vista | termo | opcoes | exercicio_opcoes | blocos | total_geral

Response Body

curl -X GET "https://api.databolsa.com/v1/market/investor-flow/monthly?cursor=string&limit=100&month=string&investor_type=string&segment=string"
{
  "data": [
    {
      "month_ref": "string",
      "investor_type": "string",
      "segment": "string",
      "brl_reais": 0,
      "share_pct": 0,
      "lineage": "string"
    }
  ],
  "meta": {
    "next_cursor": "string",
    "count": 0
  }
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string"
}